[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TWriter.OnWriteStringProperty

Event handler for translating strings written to stream.

## Declaration

Source position: classesh.inc line 1469

`public property TWriter.OnWriteStringProperty : TReadWriteStringPropertyEvent read FOnWriteStringProperty write FOnWriteStringProperty;`

## Description

OnWriteStringProperty is called whenever a string property is written to the stream. It can be used e.g. by a translation mechanism to translate the strings on the fly, when a form is written. See TReadWriteStringPropertyEvent for a description of the various parameters.

## See also

TReader.OnPropertyNotFound |  | Handler for treating missing properties.
TReader.OnSetMethodProperty |  | Handler for setting method properties.
TReadWriteStringPropertyEvent |  | Callback for the TReader.OnReadStringProperty event handler

Documentation generated on: Feb 26 2014